# Tests by default. No tests: rpm -ba --define 'dotests 0' iperf*.spec
%{!?dotests: %define dotests 1}
Name:           iperf3
Version: 3.14.1
Release: 1
Summary:        Measurement tool for TCP/UDP bandwidth performance
License:        BSD
Group:          Applications/Internet
URL:            http://github.com/esnet/iperf
Source0: https://github.com/esnet/iperf/tags/iperf-%{version}.tar.gz
Patch0:         %{name}-3.10.1-aix.patch
Patch1:         %{name}-3.6-no-berok.patch
Patch2:		%{name}-3.10.1-sctp-aix.patch
Patch3:		%{name}-3.10.1-queue.patch
BuildRequires:  patch
BuildRequires:  AIX-rpm >= 5.2.0.0
Requires:       AIX-rpm >= 5.2.0.0
Requires: libgcc >= 10.3.0-1

%description
Iperf is a tool to measure maximum TCP bandwidth, allowing the tuning of
various parameters and UDP characteristics. Iperf reports bandwidth, delay
jitter, data-gram loss.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q -n iperf-%{version}
%patch0
%patch1
%patch2
%patch3

rm -rf   /tmp/%{name}-%{version}-32bit
cp -pr . /tmp/%{name}-%{version}-32bit
rm -fr *
mv       /tmp/%{name}-%{version}-32bit 32bit
cp -pr 32bit 64bit

%build
export CC="/opt/freeware/bin/gcc"
export CFLAGS="-O2"

# build on 64bit mode
export OBJECT_MODE=64
cd 64bit
export CFLAGS="$CFLAGS -maix64"
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib"
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir}64 \
    --mandir=%{_mandir}
make %{?_smp_mflags}

if [ "%{dotests}" == 1 ]
then
    (gmake -k check || true)
fi

# build on 32bit mode
export OBJECT_MODE=32
cd ../32bit
export CFLAGS="$CFLAGS -maix32 -D_LARGE_FILES"
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir}
make %{?_smp_mflags}

if [ "%{dotests}" == 1 ]
then
    (gmake -k check || true)
fi

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

#Install on 64bit mode
cd 64bit
export OBJECT_MODE=64
make DESTDIR=${RPM_BUILD_ROOT} install
(
    cd  ${RPM_BUILD_ROOT}/%{_prefix}/bin
    for fic in $(ls -1| grep -v -e _32 -e _64)
    do
	mv $fic "$fic"_64
    done
)
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

#Install on 32bit mode
cd ../32bit
export OBJECT_MODE=32
make DESTDIR=${RPM_BUILD_ROOT} install

(
    cd  ${RPM_BUILD_ROOT}/%{_prefix}/bin
    for fic in $(ls -1| grep -v -e _32 -e _64)
    do
	mv $fic "$fic"_32
	ln -sf "$fic"_64 $fic
    done
)

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib lib64
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/README.md 32bit/LICENSE 32bit/RELNOTES.md
%{_bindir}/*
%{_libdir}/*.a
%{_libdir}64/*.a
%{_mandir}/man1/*


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
%{_mandir}/man3/*


%changelog
* Wed Jan 05 2022 Reshma V Kumar <reskumar@in.ibm.com> - 3.10.1-1
- Update to 3.10.1
- Stop shipping files in /usr directory

* Tue Feb 11 2020 Reshma V Kumar <reskumar@in.ibm.com> - 3.7-1
- Update to latest version

* Thu Oct 25 2018 Reshma V Kumar <reskumar@in.ibm.com> - 3.6-1
  Update to latest version

* Mon Sep 18 2017 Reshma V Kumar <reskumar@in.ibm.com> -3.2-1
- Update to latest version

* Mon Jan 16 2017 Michael Perzl <michael@perzl.org> - 3.1.4-1
- updated to version 3.1.5

* Fri Nov 18 2016 Michael Perzl <michael@perzl.org> - 3.1.4-1
- updated to version 3.1.4

* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 3.1.3-1
- updated to version 3.1.3

* Mon May 23 2016 Michael Perzl <michael@perzl.org> - 3.1.2-1
- First version for AIX5L V5.1 and higher
